Firebug 1.8 API Changes

From FirebugWiki

(Difference between revisions)
Jump to: navigation, search
Line 10: Line 10:
* All preferences should be accessed through firebug/lib/options module
* All preferences should be accessed through firebug/lib/options module
* FBL.deprecated is now Deprecated.deprecated (firebug/lib/deprecated)
* FBL.deprecated is now Deprecated.deprecated (firebug/lib/deprecated)
 +
* FBTrace comes from "firebug/lib/trace"
 +
* New modules: url, wrapper (don't use the API from FBL)

Revision as of 07:58, 10 May 2011

TODO: This is only a rough list of changes, more explanation needed.

  • Firebug source files use Asynchronous Module Definition (AMD)
  • firebug-http-observer (JS module) is obsolete. Use "firebug/http/requestObserver"
  • FBL.CCIN, FBL.CCSV and FBL.QI are obsolete, use "firebug/lib/xpcom"
  • firebug-trace-service is obsolete, use "firebug/lib/trace"
  • HTMLLib is not part of Firebug namespace, you need to include "firebug/lib/htmlLib.js
  • $STR, $STRP, $STRP, registerStringBundle, getStringBundle, getDefaultStringBundle, getPluralRule, internationalize and internationalizeElements are part of "firebug/lib/locale"
  • dispatch and dispatch2 are part of "firebug/lib/events" module
  • All preferences should be accessed through firebug/lib/options module
  • FBL.deprecated is now Deprecated.deprecated (firebug/lib/deprecated)
  • FBTrace comes from "firebug/lib/trace"
  • New modules: url, wrapper (don't use the API from FBL)
Personal tools